operator-=
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Assignment & Indexing operation on arrays

Subtracts and assigns the value(s) of val to the elements of the af::array. More...

array & | operator-= (const array &val)
| Subtracts the value(s) of val to the elements of the array. More...
array & | operator-= (const double &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const cdouble &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const cfloat &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const float &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const int &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const unsigned &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const bool &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const char &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const unsigned char &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const long &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const unsigned long &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const long long &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const unsigned long long &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const short &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...
array & | operator-= (const unsigned short &val)
| Subtracts the value(s) of val to the elements of the array. (const array &) More...

## Detailed Description

Subtracts and assigns the value(s) of val to the elements of the af::array.

Substracts and assigns values

## Function Documentation

## § operator-=() [1/16]

array& operator-= | ( | const array & | val | ) |

Subtracts the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

## § operator-=() [2/16]

array& operator-= | ( | const unsigned short & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [3/16]

array& operator-= | ( | const short & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [4/16]

array& operator-= | ( | const unsigned long long & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [5/16]

array& operator-= | ( | const long long & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [6/16]

array& operator-= | ( | const unsigned long & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [7/16]

array& operator-= | ( | const long & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [8/16]

array& operator-= | ( | const unsigned char & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [9/16]

array& operator-= | ( | const char & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [10/16]

array& operator-= | ( | const bool & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [11/16]

array& operator-= | ( | const unsigned & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [12/16]

array& operator-= | ( | const int & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [13/16]

array& operator-= | ( | const float & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [14/16]

array& operator-= | ( | const cfloat & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [15/16]

array& operator-= | ( | const cdouble & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

## § operator-=() [16/16]

array& operator-= | ( | const double & | val | ) |

Subtracts the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)